~ salmonella-environment-setup (master) 2955a90b985c15f044162fa9e52248f7c99042fe


commit 2955a90b985c15f044162fa9e52248f7c99042fe
Author:     Mario Domenech Goulart <mario@parenteses.org>
AuthorDate: Wed Dec 18 20:38:50 2024 +0100
Commit:     Mario Domenech Goulart <mario@parenteses.org>
CommitDate: Wed Dec 18 20:41:25 2024 +0100

    system-setup: Add openbsd-7.6.sh
    
    Based on openbsd-6.8.sh, with the following modifications:
    
    * Fetch and deploy the ports tarball
    
    * Use a newer version of rocksdb, as the older version fails to
      compile with the newer toolchain
    
    * Install bash and gmake (needed by rocksdb)
    
    * Remove qt4 and webkit4, as they are no longer available
    
    * auto-root using doas

diff --git a/system-setup/openbsd-7.6.sh b/system-setup/openbsd-7.6.sh
new file mode 100755
index 0000000..52266c2
--- /dev/null
+++ b/system-setup/openbsd-7.6.sh
@@ -0,0 +1,86 @@
+#! /bin/sh
+
+if [ "$(id -u)" != 0 ]; then
+    exec doas "$(readlink -f "$0")" "$@"
+fi
+
+set -ex
+
+pkg_add \
+     allegro \
+     bash \
+     blosc \
+     cblas \
+     cmake \
+     dbus \
+     fcgi \
+     findutils \
+     git \
+     glfw \
+     gmake
+     graphviz \
+     hyperestraier \
+     imlib2 \
+     libexif \
+     libinotify \
+     libyaml \
+     lmdb \
+     nanomsg \
+     openmpi \
+     openssl \
+     postgresql-server \
+     sdl2 \
+     sdl2-gfx \
+     sdl2-image \
+     sdl2-mixer \
+     sdl2-net \
+     sdl2-ttf \
+     stfl \
+     subversion \
+     taglib \
+     tokyocabinet \
+
+
+# ports
+cd /tmp
+ftp https://cdn.openbsd.org/pub/OpenBSD/$(uname -r)/{ports.tar.gz,SHA256.sig}
+signify -Cp /etc/signify/openbsd-$(uname -r | cut -c 1,3)-base.pub -x SHA256.sig ports.tar.gz
+
+cd /usr
+tar xzf /tmp/ports.tar.gz
+
+rm /tmp/ports.tar.gz /tmp/SHA256.sig
+
+cd /usr/ports
+(cd databases/sqlite3 && make && make install && make clean)
+(cd devel/libmagic && make && make install && make clean)
+
+# extra
+
+tmpdir=`mktemp -d`
+echo "### Using $tmpdir as temporary directory"
+
+
+### kiwi
+
+mkdir -p $tmpdir/KiWi
+cd $tmpdir/KiWi
+git clone https://github.com/mobius3/KiWi.git
+cd KiWi
+git checkout 77ec0de71a0f365163676a752bc85477be5fae2f
+mkdir build
+cd build
+cmake ..
+make
+make install
+
+
+### rocksdb
+
+mkdir -p "$tmpdir/rocksdb"
+cd "$tmpdir/rocksdb"
+git clone https://github.com/facebook/rocksdb.git
+cd rocksdb
+git checkout v9.9.3
+gmake shared_lib
+gmake install
Trap